Jump to content
brkbey

[Gelöst] Fehlermeldung bei Anmeldung im Kundenbereich

Recommended Posts

Hallo,

 

wenn man bei meinem Shop auf Anmelden klickt, kommt folgende Fehlermeldung:

Parse error: syntax error, unexpected T_PAAMAYIM_NEKUDOTAYIM in /homepages/43/d439933767/htdocs/vb/controllers/front/AuthController.php on line 364

Was kann ich tun?

Share this post


Link to post
Share on other sites

Servus,

 

  • Welche Shop-Version?
  • Welche PHP-Version?
  • Seit wann ist das so?
  • Was hat der Provider eventuell am Server geändert?
  • Was steht in der Zeile 364 der angegebenen Datei?
Edited by BagHira (see edit history)
  • Like 1

Share this post


Link to post
Share on other sites

 

Servus,

 

  • Welche Shop-Version?
  • Welche PHP-Version?
  • Seit wann ist das so?
  • Was hat der Provider eventuell am Server geändert?
  • Was steht in der Zeile 364 der angegebenen Datei?

 

 

Prestashop 1.6.1.4

PHP Version 5.2.17

 

Das war schon von Anfang an so, glaube ich. Der Shop war nie aktiv und ich kann mich auch nicht erinnern, jemals die Login-Seite geöffnet haben zu können.

 

In der betroffenen Zeile steht folgendes:

 if (is_callable(array($module_newsletter, 'isNewsletterRegistered')) && $module_newsletter->isNewsletterRegistered(Tools::getValue('email')) == $module_newsletter::GUEST_REGISTERED) {

Share this post


Link to post
Share on other sites

Hier wird mal eine Klasse (constant access) angesprochen, die erst ab PHP 5.3 verfügbar ist; oder deine PHP-Version erwartet hier irgendwo eine doppelte Klammer. In jedem Fall dann die seltsame Fehlermeldung.

Du musst dein PHP dringend updaten, sonst wirst du mit Prestashop nicht glücklich. Aber besser nicht auf die neueste Version 7.0. Sonst gibt es gleich die nächsten Probleme. Version 5.4 ist fehlertoleranter und bietet sich an, sonst 5.6.

  • Like 2

Share this post


Link to post
Share on other sites

Ein PHP update macht man indem man auf einen entsprechenden Hoster bzw.Paket umsteigt, oder? Und wäre es auch eine sinnvolle alternative, einen downgrade der Prestashop Version durchzuführen?

 

Edit: Hat sich erledigt. Hab einen update übers Kontrollzentrum hinbekommen. Und die Anmelde-Seite lässt sich jetzt öffnen. Danke euch!

Edited by brkbey (see edit history)
  • Like 1

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More